本地存储

### Hierarchy

- LocalStorage

## Index

### Constructors

- constructor

### Properties

- ID

### Methods

- getItem
- getItemObj
- getName
- setItem
- setItemObj

## Constructors

### constructor

- new LocalStorage(ID: string): LocalStorage

- - Defined in support/LocalStorage.ts:9

  #### Parameters

  - ##### ID: string

  #### Returns LocalStorage

## Properties

### ID

ID: string

- Defined in support/LocalStorage.ts:9

## Methods

### getItem

- getItem(key: string, prefix?: string): string

- - Defined in support/LocalStorage.ts:24

  获取数据

  #### Parameters

  - ##### key: string

  - ##### Default value prefix: string = null

  #### Returns string

### getItemObj

- getItemObj(key: string, defaultObj?: any, prefix?: string): any

- - Defined in support/LocalStorage.ts:44

  获取json数据对象

  #### Parameters

  - ##### key: string

  - ##### Default value defaultObj: any = null

  - ##### Default value prefix: string = null

  #### Returns any

### Private getName

- getName(key: string, prefix?: string): string

- - Defined in support/LocalStorage.ts:15

  #### Parameters

  - ##### key: string

  - ##### Default value prefix: string = null

  #### Returns string

### setItem

- setItem(key: string, value: string, prefix?: string): void

- - Defined in support/LocalStorage.ts:34

  设置数据

  #### Parameters

  - ##### key: string

  - ##### value: string

  - ##### Default value prefix: string = null

  #### Returns void

### setItemObj

- setItemObj(key: string, itemObj: any, prefix?: string): void

- - Defined in support/LocalStorage.ts:63

  设置json数据对象

  #### Parameters

  - ##### key: string

  - ##### itemObj: any

  - ##### Default value prefix: string = null

  #### Returns void

Generated using TypeDoc